#ifndef _ROM_H
#define _ROM_H 1

#define rom_version "1.2.0"
#define default_from "postmaster"
#define default_subject "Reply-o-Matic auto response"
#define default_body "This is an automated reply from Reply-o-Matic\n\n" \
                 "Your message has not reached the destinatary for an\n" \
                 "unknonwn reason. For more information, please, reply\n" \
                 "this message, including all information you can gather\n" \
                 "regarding the original e-mail.\n\n"
#define data_follows "\n========== Original Message Headers Follow ========== \n\n"

#ifndef RANDOM_DEV
# define RANDOM_DEV "/dev/urandom"
#endif
#ifndef ROMDIR
# define ROMDIR "/etc/rom"
#endif
#ifndef REPLYRATE
# define REPLYRATE 24
#endif

typedef struct paranoid_s {
	char chroot;
	char lockuid;
	char lockgid;
	char noattach;
} paranoid_t;

#define PARANOID_NONE	  0
#define PARANOID_CHROOT   1
#define PARANOID_LOCKUID  2
#define PARANOID_LOCKGID  4
#define PARANOID_NOATTACH 8

#endif
