# This specfile was created based on Conectiva Linux 9.0, but it should
# work on any relatively up-to-date RPM based distribution

Name: reply-o-matic
Version: 1.2.0
Release: 1cl
Summary: E-Mail autoresponse software
License: GPLv2
URL: http://sourceforge.net/projects/%{name}
Source: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Group: Mail
Requires: smtpdaemon
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Reply-o-Matic is a highly configurable, secure, auto reply software, to be 
used in conjunction with any Mail Transfer Agent or local delivery agent. 
It provides an easy, uniformed way, to provide auto to e-mails.

%prep
%setup -q

%build
make

%install
if [ -d %{buildroot} ]; then
rm -rf %{buildroot}
fi
mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man1,%{_sysconfdir}/rom/{.rates,.ignores}}
install rom %{buildroot}%{_sbindir}/
install rom.1 %{buildroot}%{_mandir}/man1/
touch %{buildroot}%{_sysconfdir}/rom/paranoid

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ChangeLog CREDITS HEADERS LICENSE README RELEASE_NOTES
%dir %{_sysconfdir}/rom
%attr(1777,root,root) %dir %{_sysconfdir}/rom/.rates
%dir %{_sysconfdir}/rom/.ignores
%attr(4755,root,root) %{_sbindir}/rom
%config(noreplace) %attr(0755,root,1) %{_sysconfdir}/rom/paranoid
%{_mandir}/man1/rom.1*

%changelog
* Tue Nov 25 2003 Rodrigo Barbosa <rodrigob@suespammers.org>
+ reply-o-matic-1.2.0-1cl
- New stable release

* Mon Jan 14 2002 Rodrigo Barbosa <rodrigob@bh.conectiva.com.br>
+ reply-o-matic-1.1.1-1cl
- New development release

* Mon Jan 14 2002 Rodrigo Barbosa <rodrigob@bh.conectiva.com.br>
+ reply-o-matic-1.1.0-1cl
- New development release

* Fri Jan 12 2002 Rodrigo Barbosa <rodrigob@suespammers.org>
+ reply-o-matic-0.99.0-2cl
- New release

* Fri Jan 11 2002 Rodrigo Barbosa <rodrigob@suespammers.org>
+ reply-o-matic-0.99.0-1cl
- First RPM packaging


